package eu.maiora.model

import eu.maiora.db.*
import org.jetbrains.exposed.sql.SortOrder

class ComposizioniRepositoryImpl : ComposizioniRepository {
    override suspend fun listaComposizioni(): List<Composizioni> = suspendTransaction {
        // Cerca la lista di composizioni
        ComposizioniDao.all()
            .toList()
            .map { composizioniDaoToModel(it) } // Converte il DAO in un oggetto Composizioni

    }
}